ClientSCMProtocolPBClientImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.impl.pb.client, class: ClientSCMProtocolPBClientImpl

Package org.apache.hadoop.yarn.api.impl.pb.client

# Class ClientSCMProtocolPBClientImpl

java.lang.Object
org.apache.hadoop.yarn.api.impl.pb.client.ClientSCMProtocolPBClientImpl

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.apache.hadoop.yarn.api.ClientSCMProtocol`

public class ClientSCMProtocolPBClientImpl extends Object implements org.apache.hadoop.yarn.api.ClientSCMProtocol, Closeable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientSCMProtocolPBClientImpl(long clientVersion, InetSocketAddress addr, org.apache.hadoop.conf.Configuration conf)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `org.apache.hadoop.yarn.api.protocolrecords.ReleaseSharedCacheResourceResponse`
  `release(org.apache.hadoop.yarn.api.protocolrecords.ReleaseSharedCacheResourceRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.UseSharedCacheResourceResponse`
  `use(org.apache.hadoop.yarn.api.protocolrecords.UseSharedCacheResourceRequest request)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClientSCMProtocolPBClientImpl

    public ClientSCMProtocolPBClientImpl(long clientVersion, InetSocketAddress addr, org.apache.hadoop.conf.Configuration conf) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`

  - ### use

    public org.apache.hadoop.yarn.api.protocolrecords.UseSharedCacheResourceResponse use(org.apache.hadoop.yarn.api.protocolrecords.UseSharedCacheResourceRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `use` in interface `org.apache.hadoop.yarn.api.ClientSCMProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### release

    public org.apache.hadoop.yarn.api.protocolrecords.ReleaseSharedCacheResourceResponse release(org.apache.hadoop.yarn.api.protocolrecords.ReleaseSharedCacheResourceRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `release` in interface `org.apache.hadoop.yarn.api.ClientSCMProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`